Wonky partitioner choices in alternate cd

Bug #89004 reported by Jarmo Ilonen on 2007-03-01
130
This bug affects 1 person
Affects Status Importance Assigned to Milestone
partman-auto (Ubuntu)
Critical
Colin Watson
partman-base (Ubuntu)
Critical
Colin Watson

Bug Description

Binary package hint: partman-auto

Feisty i386 alternate cd from 28-Feb-2007 19:51, the computer is AMD64 3000+, abit AV8, with three harddrives (one sata, two pata). The partitioner gives choices "IDE%s slave, partition #%s (%s)", "0", "guided - resize...", "guided - use entire disk", which are quite mystifying.

Jarmo Ilonen (trewas) wrote :
Jarmo Ilonen (trewas) wrote :
Colin Watson (cjwatson) wrote :

This is mad (but somebody else filed the same problem so I know that neither you nor I are hallucinating). Could you repeat the most recent test with 'set -x' added to the second line of /lib/partman/auto.d/10initial_auto as well as /bin/partman, please? That appears to be the script that's actually failing.

(There is also a further problem with check.d scripts being run in an infinite loop. I understand that much of the problem, and will fix it, but it isn't the root of it.)

Thanks in advance!

Colin Watson (cjwatson) on 2007-03-02
Changed in partman-auto:
assignee: nobody → kamion
importance: Undecided → Critical
status: Unconfirmed → Fix Committed
Changed in partman-base:
assignee: nobody → kamion
importance: Undecided → Critical
status: Unconfirmed → Fix Committed
Colin Watson (cjwatson) wrote :

partman-auto (62ubuntu6) feisty; urgency=low

  * automatically_partition/resize_use_free/choices: Rearrange scan_disk
    data flow to avoid hijacking stdin, which confuses debconf (LP: #89004).

 -- Colin Watson <email address hidden> Fri, 2 Mar 2007 13:53:50 +0000

Changed in partman-auto:
status: Fix Committed → Fix Released
Colin Watson (cjwatson) wrote :

partman-base (100ubuntu6) feisty; urgency=low

  * Prevent an infinite loop if (for some reason) check.d fails immediately
    after autopartitioning (LP: #89004).

 -- Colin Watson <email address hidden> Fri, 2 Mar 2007 13:46:42 +0000

Changed in partman-base:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers